Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 19/01/2007, à 17:17

davv

quel linux-restricted-modules prendre??

bonjour,
le probleme est le suivant:
j'ai une nvidia 7600gs et pour en profiter pleinement, j'ai décidé d'installer le driver nvidia-glx.
De ce fait je suis obligé d'installer le linux-restricted-modules $(uname -r).

Tout irait bien si j'étais connecté à internet avec le pc sur lequel je veux installer ce driver.

Donc d'un autre pc disposant de xubuntu qui lui recoit le net, je lance synaptic et jette le mot
"linux-restricted-modules-2.6.17-10-generic" c'est celui qui correspond à mon noyau.

Mais voila, le linux-restr..qu'il me sort est pour les x86/64, je suis sous intel core 2 duo.
Je ne sais pas si  je dois le prendre.
Dans une autre recherche sous synaptic en enlevant generic à la fin, j'obtiens une version pour 386.

De plus ,j 'ai trouver sur http://fr.archive.ubuntu.com deux paquets qui porte un nom en rapport:

-linux-restricted-modules-2.6.17-10-generic_2.6.17.7-10.1_i386.deb
-linux-restricted-modules-2.6.17-10-generic_2.6.17.5-11_i386.deb

Je sais pas quoi faire et j ai pas envie de les essayer les uns apres les autres.
Merci de m'aider;)


Trop la classe! hu! hu?!

Hors ligne

#2 Le 19/01/2007, à 17:54

davv

Re : quel linux-restricted-modules prendre??

bon j ai installer nvidia glx a partir du dvd de edgy que j avais et il a selectionné le module qui allait avec.

a suivre...


Trop la classe! hu! hu?!

Hors ligne

#3 Le 19/01/2007, à 19:31

Lestat the vampire

Re : quel linux-restricted-modules prendre??

Pour savoir quel noyau exact tu utilises, tapes uname -r dans un terminal.
Ensuite, tu ajoutes le résultat de cette commande à la fin du fichier linux-restricted-modules-
Bref, si tu utilises le noyau 2.6.17-10-generic, tu dois utiliser le paquet linux-restricted-modules-2.6.17-10-generic.
Ensuite, la version du paquet des restricted doit correspondre avec celle du noyau (d'où l'interet d'avoir le net pour etre sur d'avoir la derniere version pour tout le monde !)

Sinon, qu'est ce qui ne marche pas ? un minimum d'explications sont quand meme necessaires si tu veux qu'on t'aide !

Dernière modification par Lestat the vampire (Le 19/01/2007, à 19:38)

Hors ligne

#4 Le 20/01/2007, à 11:08

davv

Re : quel linux-restricted-modules prendre??

bon, je croyais avoir tout dit dans le premier post.
tu vois les 2 dernieres lignes, c'est la que la question se pose.

De plus ,j 'ai trouver sur http://fr.archive.ubuntu.com deux paquets qui porte un nom en rapport:

-linux-restricted-modules-2.6.17-10-generic_2.6.17.7-10.1_i386.deb
-linux-restricted-modules-2.6.17-10-generic_2.6.17.5-11_i386.deb

J'ai pas le net donc la facilité de synaptic, faut oublier.

Alors l'accélération 3d ne marche pas parce que quand je tape :

glxinfo | grep "direct rendering"

je n'ai pas de "direct rendering: Yes" mais un message de type redondant que je n'ai plus en tete, désolé.

Mais je pense avoir installer le linux restricted modules-2.6.17-10-386 >et non le generic. Le truc c'est de pouvoir dl le bon module sans l'installer sur ce pc.
Donc la question c'est comment trouver et télécharger le bon module sans synaptic afin que je l'installe sur un autre pc qui a pour numero de module 2.6.17-10-generic comme cité plus haut?.
merci pour votre aide...
smile


Trop la classe! hu! hu?!

Hors ligne

#5 Le 22/02/2007, à 01:20

guigui2007

Re : quel linux-restricted-modules prendre??

Donc la question c'est comment trouver et télécharger le bon module sans synaptic afin que je l'installe sur un autre pc qui a pour numero de module 2.6.17-10-generic comme cité plus haut?.
merci pour votre aide...

Tout pareil pour moi, sauf qu'en plus, il serait bon de nous préciser dans quel répertoire sous linux il faut ranger le paquet que l'on aura téléchargé pour que la commande apt-get install ...  fonctionne.

Marci pour toute réponse en tout cas !!!  smile

#6 Le 22/02/2007, à 01:42

guigui2007

Re : quel linux-restricted-modules prendre??

Bon vu que mon pc qui n'a plus de wifi est un portable, je vais me brancher en filaire et chercher la bonne version du paquet avec synaptics, c'est ce qu'il ya de plus simple je pense...
mais j'avais la fleme de descendre mon transportable tongue

#7 Le 22/02/2007, à 01:51

guigui2007

Re : quel linux-restricted-modules prendre??

Et peut-etre même bien que si mon wifi refonctionne j'aurais envy d'installer envy big_smilecool